aboutsummaryrefslogtreecommitdiffstats
path: root/trunk/contrib/init.d/rc.debian.asterisk
diff options
context:
space:
mode:
Diffstat (limited to 'trunk/contrib/init.d/rc.debian.asterisk')
-rwxr-xr-xtrunk/contrib/init.d/rc.debian.asterisk85
1 files changed, 85 insertions, 0 deletions
diff --git a/trunk/contrib/init.d/rc.debian.asterisk b/trunk/contrib/init.d/rc.debian.asterisk
new file mode 100755
index 000000000..3926346d4
--- /dev/null
+++ b/trunk/contrib/init.d/rc.debian.asterisk
@@ -0,0 +1,85 @@
+#! /bin/sh
+# $Id$
+#
+# asterisk start the asterisk PBX
+#
+# Thu Nov 17 2005 Gregory Boehnlein <damin@nacs.net>
+# - Updated Version to 1.3
+# - Reversed behavior of LD_ASSUME_KERNEL=2.4.1
+# - Added detailed failure messages
+#
+# Sun Jul 18 2004 Gregory Boehnlein <damin@nacs.net>
+# - Updated Version to 1.2
+# - Added test for safe_asterisk
+# - Changed "stop gracefully" to "stop now"
+# - Added support for -U and -G command line options
+# - Modified "reload" to call asterisk -rx 'reload'
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+NAME=asterisk
+DESC="Asterisk PBX"
+# Full path to asterisk binary
+DAEMON=/usr/sbin/asterisk
+
+# Full path to safe_asterisk script
+SAFE_ASTERISK=/usr/sbin/safe_asterisk
+
+# Uncomment this ONLY if you know what you are doing.
+# export LD_ASSUME_KERNEL=2.4.1
+
+# Uncomment the following and set them to the user/groups that you
+# want to run Asterisk as. NOTE: this requires substantial work to
+# be sure that Asterisk's environment has permission to write the
+# files required for its operation, including logs, its comm
+# socket, the asterisk database, etc.
+#AST_USER="asterisk"
+#AST_GROUP="asterisk"
+
+if ! [ -x $DAEMON ] ; then
+ echo "ERROR: /usr/sbin/asterisk not found"
+ exit 0
+fi
+
+if ! [ -d /etc/asterisk ] ; then
+ echo "ERROR: /etc/asterisk directory not found"
+ exit 0
+fi
+
+set -e
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: "
+ if [ -f $SAFE_ASTERISK ] ; then
+ DAEMON=$SAFE_ASTERISK
+ fi
+ if [ $AST_USER ] ; then
+ ASTARGS="-U $AST_USER"
+ fi
+ if [ $AST_GROUP ] ; then
+ ASTARGS="`echo $ASTARGS` -G $AST_GROUP"
+ fi
+ start-stop-daemon --start --exec $DAEMON -- $ASTARGS
+ echo "$NAME."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: "
+ $DAEMON -rx 'stop now' > /dev/null 2> /dev/null && echo -n "$NAME"
+ echo "."
+ exit 0
+ ;;
+ reload)
+ echo "Reloading $DESC configuration files."
+ $DAEMON -rx 'reload' > /dev/null 2> /dev/null
+ ;;
+ restart|force-reload)
+ $DAEMON -rx 'restart gracefully' > /dev/null 2> /dev/null && echo -n "$NAME"
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0